SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Citrix XenServer Vendors:   Citrix
(Citrix Issues Fix for XenServer) E2fsprogs Buffer Overflow in libext2fs Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1021243
SecurityTracker URL:  http://securitytracker.com/id/1021243
CVE Reference:   CVE-2007-5497   (Links to External Site)
Date:  Nov 19 2008
Impact:   Root access via local system, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 4.1.0
Description:   A vulnerability was reported in E2fsprogs. A local user can obtain elevated privileges on the target system. Citrix XenServer is affected.

A local user can modify a filesystem so that when a target user or application executes libext2fs, a heap overflow will occur and arbitrary arbitrary code will be executed. The code will run with the privileges of the target user or application.

McAfee AVERT Research group reported this vulnerability in December 2007.

Impact:   A local user can obtain elevated privileges on the target system.
Solution:   Citrix has issued a fix for XenServer, which is affected by this vulnerability.

XenServer 4.1.0:

http://support.citrix.com/article/CTX119081

XenServer 4.0.1:

http://support.citrix.com/article/CTX119080

The Citrix advisory is available at:

http://support.citrix.com/article/CTX118766

Vendor URL:  support.citrix.com/article/CTX118766 (Links to External Site)
Cause:   Boundary error

Message History:   This archive entry is a follow-up to the message listed below.
Mar 4 2008 E2fsprogs Buffer Overflow in libext2fs Lets Local Users Gain Elevated Privileges



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC